# DOD-Emissions

This git project is an aggregate of the scripts used for my master thesis project on the relationship between modeled DOD and emission fluxes for a 1-year (2012) simulation. (All scripts used are in R)

The simulation uses Marticorena emission scheme with 1º lat and 1.406248º lon of grid resolution and an ouput time step of 3h.


## (1) [makematrix.r]
First step is to get the necessary data from esarchive and saving it in .RData format for separate regions.

Regions selected are:

| Region id | Region Name | Lower Left Corner | Upper Right Corner |
| ------ | ------ | ------ | ------ | 
| 1 | North Africa | (28.13W,1N)| (36.56E,41N) | 
| 2 | South Africa |  (5.62E,35S)| (56.24E,1S) | 
| 3 | Middle East | (35.16E,1S)| (66.09E,41N) | 
| 4 | Northwest Asia | (50.62E,36N)| (75.94E,51N) | 
| 5 | Southwest Asia |  (66.09E,5N)| (93.03E,36N) | 
| 6 | Northeast Asia | (70.31EE,31N)| (151.87E,61N) | 
| 7 | Australia | (101.25E,50S)| (181.41E,1S) | 
| 8 | South America | (85.78W,60S)| (29.53W,15N) | 
| 9 | North America | (160.31W,10N)| (49.22W,71N) | 
| 10 | Europe | (19.69W,36N)| (50.62E,77N) | 

data extracted is:

*  od550duco <- DOD 550 nm coarse 
* emidu <- [kg/m²]
* ustar <- u* [m/s]
* ustt <- u* threshold [m/s]
* roughcor <- roughness correction
* smoiscor <- moisture correction

## (2) [correlations.r]

The correlations.r script computes the R coefficient between modeled emissions and DOD on an annual and seasonal basis for every time step.
It also computes the coefficient considering a possible time-lag between emissions and DOD.
Finally, it produces this kind of plot:

![GitHub Logo](/images/r_correlations.png)

## (3) [correlations.r]
